//bu sınıf sinif degiskeni kompleksi boyutlu olarak çağırır
import java.io.*; //java girdi cikti sinifini cagir 
import kompleks; 

class H5AL3 
{ 
public static void main(String args[]) throws IOException 
{ 
Text cin=new Text();
double n1,n2;
System.out.print("kompleks sayilarin miktari, n = ");
int n=cin.readInt(); 
kompleks sayi[]=new kompleks[n]; 
kompleks toplam=new kompleks(); 
int i;  
for(i=0;i<sayi.length;i++) 
{ 
System.out.print("bir kompleks sayi giriniz : "); 
n1=cin.readDouble(); 
n2=cin.readDouble(); 
sayi[i]=new kompleks(n1,n2); 
toplam.topla(sayi[i]); 
} 
toplam.bol((double)sayi.length); 
System.out.println("Ortalama = "+toplam.toString()); 
} 
} 
